UpdateApiTokenAccessRights - PUT
|
Path |
/api/apitokens/{apiTokenId} |
|---|---|
|
Http Method |
PUT |
Overview
no license
Update an API token’s access rights.
Required permissions
-
Global administration privileges. ADMIN
Request
Path parameters
|
Parameter |
Type |
Required |
Description |
Example |
|---|---|---|---|---|
|
apiTokenId |
string |
Yes |
The Id of the token, generated on creation. |
099ec495a1b548efa43b15da09262c20 |
Request body
{
"isAdmin": false,
"accessRights": {}
}
Field descriptions
|
Field |
Type |
Required |
Description |
Constraints |
|---|---|---|---|---|
|
isAdmin |
boolean |
No |
Whether this token has global administration rights. Defaults to false. |
|
|
accessRights |
object. |
No |
The object describing explicit access rights to projects. Defaults to no explicit access. |
Response
Success response (200 OK)
{
"tokenPrefix":"mvpat-YeWU",
"id": "5cb94c9bcb74427b9884dced5342a368",
"name": "MyApiKey",
"expiry": "2026-01-31T00:00:00Z",
"creationDate": "2026-01-21T11:09:41.1811414\u002B01:00",
"isAdmin": false,
"accessRights" : {}
}
Response fields
|
Field |
Type |
Description |
|---|---|---|
|
id |
string |
The app-generated id of the token. |
|
tokenPrefix |
string |
The start of the cleartext token, this will always be sent by the back-end, to identify it easily later on. |
|
name |
string |
The chosen name of the token. |
|
expiry |
string |
The expiry datetime of the token. |
|
creationDate |
string |
The datetime at which the token was created. |
|
isAdmin |
boolean |
Whether or not this token grants global administration rights. |
|
accessRights |
object |
The object describing explicit access rights to projects. See: Metavault API - General concepts | Access rights |